LibreOffice: SheetLink Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
SheetLink Service Referencepublished

represents a sheet link. More...

Inheritance diagram for SheetLink:

## Exported Interfaces
interface | com::sun::star::container::XNamed
| provides access to the name of the linked document.
interface | com::sun::star::util::XRefreshable
| provides methods to reload the external data.
interface | com::sun::star::beans::XPropertySet
| published service PropertySet

## Public Attributes
string | Url
| specifies the URL of the source document.
string | Filter
| specifies the name of the filter needed to load the source document.
string | FilterOptions
| specifies the filter options needed to load the source document.

## Additional Inherited Members
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XRefreshable
void | refresh ()
| refreshes the data of the object from the connected data source.
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed."
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

represents a sheet link.

A sheet link contains the source data of linked sheets, i.e. the URL and sheet name of the external document.

To create a linked sheet, the sheet which will be used as linked sheet has to exist already. The method XSheetLinkable::link() creates a SheetLink object in the document's SheetLinks collection and links the sheet to the specified external sheet.

Developers Guide
  Spreadsheet Documents - Sheet Links

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

published service PropertySet

provides access to the properties.

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

provides access to the name of the linked document.

This name is equal to the Url property.

## ◆ com::sun::star::util::XRefreshable

interface com::sun::star::util::XRefreshable

provides methods to reload the external data.

## Member Data Documentation

## ◆ Filter

string Filter
| property

specifies the name of the filter needed to load the source document.

## ◆ FilterOptions

string FilterOptions
| property

specifies the filter options needed to load the source document.

## ◆ Url

string Url
| property

specifies the URL of the source document.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SheetLink.idl